> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /wefunder/companies/search

> Search / browse Wefunder Regulation Crowdfunding companies with industry, highlight and sort filters

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/wefunder/companies/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/wefunder/companies/search:
    post:
      tags:
        - /wefunder
      summary: /wefunder/companies/search
      description: >-
        Search / browse Wefunder Regulation Crowdfunding companies with
        industry, highlight and sort filters


        **Price:** 10 credits per 100 results
      operationId: __api_wefunder_companies_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WefunderCompaniesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WefunderCompanyCard'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WefunderCompaniesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        status:
          $ref: '#/components/schemas/WefunderStatus'
          default: fundraising
        industries:
          anyOf:
            - items:
                $ref: '#/components/schemas/WefunderIndustry'
              type: array
            - type: 'null'
        highlights:
          anyOf:
            - items:
                $ref: '#/components/schemas/WefunderHighlight'
              type: array
            - type: 'null'
        security:
          anyOf:
            - $ref: '#/components/schemas/WefunderSecurity'
            - type: 'null'
        sort:
          $ref: '#/components/schemas/WefunderSort'
          default: trending
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    WefunderCompanyCard:
      properties:
        '@type':
          type: string
          default: WefunderCompanyCard
        id:
          type: integer
        alias:
          type: string
        name:
          type: string
        legal_name:
          anyOf:
            - type: string
            - type: 'null'
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        fact:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover_image:
          anyOf:
            - type: string
            - type: 'null'
        card_image:
          anyOf:
            - type: string
            - type: 'null'
        video_url:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        geo_lat:
          anyOf:
            - type: number
            - type: 'null'
        geo_lng:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        security_type:
          anyOf:
            - type: string
            - type: 'null'
        status_tier:
          anyOf:
            - type: number
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        is_fund:
          anyOf:
            - type: boolean
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        pre_money_valuation:
          anyOf:
            - type: string
            - type: 'null'
        early_bird_valuation:
          anyOf:
            - type: string
            - type: 'null'
        total_raised_this_campaign:
          anyOf:
            - type: number
            - type: 'null'
        total_investor_count_this_campaign:
          anyOf:
            - type: integer
            - type: 'null'
        funding_amount:
          anyOf:
            - type: number
            - type: 'null'
        percent_funded:
          anyOf:
            - type: number
            - type: 'null'
        past_funding:
          anyOf:
            - type: number
            - type: 'null'
        annual_revenue:
          anyOf:
            - type: number
            - type: 'null'
        cash_in_bank:
          anyOf:
            - type: number
            - type: 'null'
        investor_count:
          anyOf:
            - type: integer
            - type: 'null'
        age_in_months:
          anyOf:
            - type: integer
            - type: 'null'
        funding_amount_past_week:
          anyOf:
            - type: number
            - type: 'null'
        funding_amount_past_month:
          anyOf:
            - type: number
            - type: 'null'
        quality_score:
          anyOf:
            - type: number
            - type: 'null'
        fundraise_host:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        funding_started_at:
          anyOf:
            - type: integer
            - type: 'null'
        funding_closed_at:
          anyOf:
            - type: integer
            - type: 'null'
        funding_closing_at:
          anyOf:
            - type: integer
            - type: 'null'
        founder:
          anyOf:
            - $ref: '#/components/schemas/WefunderFounderInfo'
            - type: 'null'
        industries:
          items:
            type: string
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - alias
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WefunderStatus:
      type: string
      enum:
        - fundraising
        - funded
    WefunderIndustry:
      type: string
      enum:
        - technology
        - b2c
        - b2b
        - hardware
        - sustainability
        - consumer_goods
        - entertainment
        - transportation
        - artificial_intelligence
        - healthcare
        - science_and_r_and_d
        - food_and_beverage
        - retail
        - clean_tech
        - saas
        - brick_and_mortar
        - media
        - service
        - mobile_apps
        - biotech
        - moonshots
        - film
        - ecommerce
        - energy
        - subscription
        - recreation
        - manufacturing
        - events_and_festivals
        - alcohol_and_vice
        - bars_and_clubs
        - games
        - climate_change
        - health_and_fitness
        - agriculture_and_agtech
        - marketplace
        - food_tech
        - fintech_and_finance
        - cafe_and_food_truck
        - education
        - restaurant
        - edtech
        - music
        - fashion
        - real_estate
        - infrastructure_and_construction
        - distillery_and_vineyards
        - sports
        - devtools
        - blockchain_and_web3
        - travel_and_tourism
        - childcare
        - robotics
        - ar_and_vr
        - brewery
        - pets
        - sports_tech
        - beauty
        - home_tech
    WefunderHighlight:
      type: string
      enum:
        - tier_1_vc_backed
        - venture_backed
        - notable_angel
        - minority_founder
        - y_combinator
        - female_founder
        - pbc_and_b_corp
        - veteran_founder
        - repeat_founder
        - fast_growth
        - profitable
        - investor_update_badge
        - investment_memo
    WefunderSecurity:
      type: string
      enum:
        - equity
        - debt
        - safe
        - revenue_share
    WefunderSort:
      type: string
      enum:
        - trending
        - newest
        - closing_soon
        - most_funded
        - most_raised
        - most_investors
        - percent_funded
    WefunderFounderInfo:
      properties:
        '@type':
          type: string
          default: WefunderFounderInfo
        name:
          type: string
        bio:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````